Name:		hdapsd	
Version:	20090401
Release:	5%{?dist}.1
Summary:	Protects hard drives by parking head when fall is detected

Group:		Applications/System
License:	GPLv2+
URL:		http://hdaps.sourceforge.net/
Source0:	http://downloads.sourceforge.net/hdaps/hdapsd-%{version}.tar.gz
Source1:	hdapsd.event
Source2:	hdapsd.sysconfig
Source3:	99-hdapsd.rules
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description

This is a disk protection user-space daemon. It monitors the acceleration
values through the HDAPS/AMS interfaces and automatically initiates disk head
parking if a fall or sliding of the laptop is detected.

HDAPS is typically found in ThinkPad laptops and AMS in Apple laptops.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/event.d/
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
cp -p %SOURCE1 %{buildroot}%{_sysconfdir}/event.d/hdapsd
cp -p %SOURCE2 %{buildroot}%{_sysconfdir}/sysconfig/hdapsd
cp -p %SOURCE3 %{buildroot}%{_sysconfdir}/udev/rules.d/
# remove docs installed by "make install", will be installed in proper dir by %doc
rm -rf %{buildroot}%{_defaultdocdir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*
%config(noreplace) %{_sysconfdir}/event.d/hdapsd
%config(noreplace) %{_sysconfdir}/sysconfig/hdapsd
%{_mandir}/man8/hdapsd.8.gz
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README


%changelog
* Sat Apr 17 2010 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-5.1
- rename upstart event and limit it to no-removable devices in order to fix #550887

* Sat Feb 20 2010 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-5
- take into account new location of "emitctl" in udev rule
- tweak upstart job def to actually start hdapsd;
  both patches from Hedayat Vatankhah (#566299)

* Fri Sep 04 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-4
- use version macro in in Source0, as per review suggestion (#505928 #9)

* Tue Jun 21 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-3
- fixes from review: URL source, proper build root macro
- minor cleanup of event file

* Sun Jun 17 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-2
- mark upstart event file and udev rule as config files

* Sun Jun 14 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-1
- initial version
